---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_k.html#index_k"><span>k</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li class="current"><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_o"></a>- o -</h3><ul>
<li>ObjectConverter()
: <a class="el" href="classtgui_1_1ObjectConverter.html#a945143134d343b5425384481c22fe99b">tgui::ObjectConverter</a>
</li>
<li>operator sf::Color()
: <a class="el" href="classtgui_1_1Color.html#a090b1e85e00b57c7477f6a476e98919f">tgui::Color</a>
</li>
<li>operator std::shared_ptr&lt; T &gt;()
: <a class="el" href="classtgui_1_1WidgetConverter.html#af04fd42b740fc4a0dc4aa95ec2902996">tgui::WidgetConverter</a>
</li>
<li>operator Widget::Ptr()
: <a class="el" href="classtgui_1_1WidgetConverter.html#a20f1fa849fc4a99c097ac8345c324924">tgui::WidgetConverter</a>
</li>
<li>operator!=()
: <a class="el" href="classtgui_1_1Borders.html#a6a51576379a1b6e1b4a2ac1e6324827e">tgui::Borders</a>
</li>
<li>operator%=()
: <a class="el" href="classtgui_1_1Layout2d.html#a21b2577ec8ea24d66125190a4faa6483">tgui::Layout2d</a>
, <a class="el" href="classtgui_1_1Layout.html#a78dcb3a278f27e73e303e67595758341">tgui::Layout</a>
</li>
<li>operator*=()
: <a class="el" href="classtgui_1_1Layout2d.html#a0b2f29fc9a565ded9f3c70d7db3bb0d5">tgui::Layout2d</a>
, <a class="el" href="classtgui_1_1Layout.html#a617e7f96124bd49b726f821cfa8fbaac">tgui::Layout</a>
</li>
<li>operator+()
: <a class="el" href="classtgui_1_1Layout2d.html#a304bd1d8a8d90e09ede005821e65ee7f">tgui::Layout2d</a>
, <a class="el" href="classtgui_1_1Layout.html#aebcc0cbf08682cca93462c059cd9b67f">tgui::Layout</a>
</li>
<li>operator+=()
: <a class="el" href="classtgui_1_1Layout2d.html#af5aee1edde08521cf6bb8d5e7ad07a65">tgui::Layout2d</a>
, <a class="el" href="classtgui_1_1Layout.html#af3cf330434a22b75d6a9ae17395bddbb">tgui::Layout</a>
</li>
<li>operator-()
: <a class="el" href="classtgui_1_1Layout2d.html#a16b7b43e60b7342372ca3a17f614dfd2">tgui::Layout2d</a>
, <a class="el" href="classtgui_1_1Layout.html#a8eb54bae1cda2b718d5ded141371a0a0">tgui::Layout</a>
</li>
<li>operator-=()
: <a class="el" href="classtgui_1_1Layout2d.html#a84858ff0f97e4e6444db5125f1872313">tgui::Layout2d</a>
, <a class="el" href="classtgui_1_1Layout.html#a59c8284392e8fb4a7c4d39092276baf3">tgui::Layout</a>
</li>
<li>operator/=()
: <a class="el" href="classtgui_1_1Layout2d.html#a334a00a9149df52a3701e5a0b06644ec">tgui::Layout2d</a>
, <a class="el" href="classtgui_1_1Layout.html#a46bdfcffcf6fb3ce7b69602a261cb5c7">tgui::Layout</a>
</li>
<li>operator=()
: <a class="el" href="classtgui_1_1Canvas.html#a9dd8446ea954e0c9fc57fea329a8e939">tgui::Canvas</a>
, <a class="el" href="classtgui_1_1ChatBox.html#a3539f888dda910fdeab2bf89c627789d">tgui::ChatBox</a>
, <a class="el" href="classtgui_1_1ComboBox.html#a990a8f6159667faa8a8e6780edb2c0e9">tgui::ComboBox</a>
, <a class="el" href="classtgui_1_1Container.html#a094e1f85625b28a1fc271512fbebd6be">tgui::Container</a>
, <a class="el" href="classtgui_1_1Grid.html#aacfa2b29a64055fb67aeded67f12edaa">tgui::Grid</a>
, <a class="el" href="classtgui_1_1Layout.html#a0a5c540374f72afc02d3cad2d6e748e4">tgui::Layout</a>
, <a class="el" href="classtgui_1_1ListBox.html#adbb5143191ca43f8afe73a1db99feb03">tgui::ListBox</a>
, <a class="el" href="classtgui_1_1MessageBox.html#aed1128ec3cc9f05bc8fb593efce45abb">tgui::MessageBox</a>
, <a class="el" href="classtgui_1_1SignalWidgetBase.html#a657777a2240d69c4be0cf52c977bea0f">tgui::SignalWidgetBase</a>
, <a class="el" href="classtgui_1_1TextBox.html#a2a8075b409d9ecaf4cfaef9d6482cf78">tgui::TextBox</a>
, <a class="el" href="classtgui_1_1Texture.html#a0bab672188429774804229e5e7709ba9">tgui::Texture</a>
, <a class="el" href="classtgui_1_1Widget.html#a97362423551dca5b90e86fc63ddc3eca">tgui::Widget</a>
</li>
<li>operator==()
: <a class="el" href="classtgui_1_1Borders.html#ae6c55d9e96b397a480390dc8ea2079d8">tgui::Borders</a>
</li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:46 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
